// ScriptRunner.h: interface for the CScriptRunner class.
//

#pragma once

class CMotherBoard;

class CScriptRunner
{
		CMotherBoard       *m_pChip;
		LPSTR               m_lpszAscii;

		int                 m_nScriptLinePos;
		DWORD               m_nScriptCurrTick;
		DWORD               m_nScriptStartDelay;

		CStdioFile          m_fileScript;
		CString             m_strScriptsPath;
		CString             m_strScriptFileName;
		CString             m_strScriptLine;
		bool                m_bRus;
		bool                m_bIsAr2Press; //флаг нажатия АР2 (не реализован, т.к.  непонятно, на какой символ вешать)
		bool                m_bHasScript;

	public:
		CScriptRunner();
		virtual ~CScriptRunner();

		void                AttachChip(CMotherBoard *pChip)
		{
			m_pChip = pChip;
		}

		void                SetScriptPath(const CString &strScriptPath, const CString &strScriptFileName);
		bool                RunScript();
		void                ParseNextChar(unsigned char ansi_ch);
		void                SendNewCharToBK(unsigned char ch);
};
